/*
 *  各タスクの優先度の定義
 */

#define INI_TASK_PRIORITY 3	/* 初期化タスクの優先度 */
#define MAIN_PRIORITY 6		/* メインタスクの優先度 */
#define BRIGHT_HIGH_PRIORITY 4	/* BRIGHT_HIGH_TASKの優先度 */
#define BRIGHT_LOW_PRIORITY 4	/* BRIGHT_LOW_TASKの優先度 */
#define SW_WAIT_PRIORITY 6	/* BRIGHT_LOW_TASKの優先度 */

/*
 *  ターゲットに依存する可能性のある定数の定義
 */

#ifndef STACK_SIZE
#define	STACK_SIZE		2048		/* タスクのスタックサイズ */
#endif /* STACK_SIZE */


/*
 *  関数のプロトタイプ宣言
 */
#ifndef TOPPERS_MACRO_ONLY

extern void init_task(intptr_t exinf);
extern void main_task(intptr_t exinf);
extern void bright_high_task(intptr_t exinf);
extern void bright_low_task(intptr_t exinf);
extern void sw_wait_task(intptr_t exinf);

#endif /* TOPPERS_MACRO_ONLY */
